Skip to content
Start here

Update the attributes of a single sensitivity group.

zero_trust.dlp.sensitivity_groups.update(strsensitivity_group_id, SensitivityGroupUpdateParams**kwargs) -> SensitivityGroupUpdateResponse
PUT/accounts/{account_id}/dlp/sensitivity_groups/{sensitivity_group_id}

Update the attributes of a single sensitivity group.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
account_id: str
sensitivity_group_id: str
formatuuid
description: Optional[str]
levels: Optional[Iterable[Level]]

The desired final state of levels.

  • None (omitted): no level changes.
  • Some([]): delete all levels.
  • Some([...]): desired final set + order.
id: Optional[str]

If None (omitted), a new level will be created. Otherwise, an existing level will be updated.

formatuuid
description: Optional[str]
name: Optional[str]
name: Optional[str]
ReturnsExpand Collapse
class SensitivityGroupUpdateResponse:
id: str
formatuuid
created_at: datetime
formatdate-time
levels: List[Level]
id: str
formatuuid
created_at: datetime
formatdate-time
name: str
updated_at: datetime
formatdate-time
description: Optional[str]
name: str
updated_at: datetime
formatdate-time
description: Optional[str]
template_id: Optional[str]
formatuuid

Update the attributes of a single sensitivity group.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sensitivity_group = client.zero_trust.dlp.sensitivity_groups.update(
    sensitivity_group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(sensitivity_group.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "levels": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description"
      }
    ],
    "name": "name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "template_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "levels": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "name": "name",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description"
      }
    ],
    "name": "name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "template_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}